Bug 1222 - getty enabled on /dev/ttyS0 and respawned periodically
: getty enabled on /dev/ttyS0 and respawned periodically
Status: RESOLVED FIXED
Product: Desktop platform
startup-shutdown
: 3.1
: All All
: Medium normal (vote)
: 3.2
Assigned To: Maemo QA (deprecated)
: Maemo QA (deprecated)
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-19 11:19 UTC by Frantisek Dufka
Modified: 2007-12-04 13:28 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Frantisek Dufka (reporter) maemo.org 2007-04-19 11:19:36 UTC
It seems there is a bug in
/etc/init.d/ttyusb0 stript

        #test if we can read ttyS0, we have serial console
        if dd of=/dev/ttyS0 count=1 bs=1 if=/dev/zero ; then

instead of reading ttyS0, dd creates normal file named ttyS0 in /dev/ with 1
byte lenght. Result is that script enables getty over ttyS0 in /etc/inittab and
getty gets respawned periodically by init (since it gets regular file as
argument and exits)

init tries to respawn it few times in short interval and then pauses for some
longer interval so you can't see it with ps everytimes

'ps | grep getty' sometimes prints getty with changing PIDs and sometimes getty
is not running at all.
Comment 1 Eero Tamminen nokia 2007-04-19 11:39:10 UTC
NB#54590
Comment 2 Frantisek Dufka (reporter) maemo.org 2007-05-08 13:59:54 UTC
Forgot to mention workaround here, just comment getty over ttyS0 line in
/etc/inittab with two # so ttyusb0 does not touch it on boot.

##T0:12345:respawn:/sbin/getty -L ttyS0 115200 vt100
Comment 3 Eero Tamminen nokia 2007-08-10 16:16:28 UTC
Should be fixed in the latest release.
Comment 4 Eero Tamminen nokia 2007-12-04 13:28:31 UTC
Internally this ist the same issue as bug 448 i.e. fixed in Bora.